# List the emails in a thread **GET /extraction/case/email-threads/{threadId}/emails** Returns the emails of one thread, with their bodies. Returns 404 unless the thread is in a mailbox linked to the caller's extraction code. The firm's tags are not included. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Path parameters - **threadId** (string) ### Query parameters - **page** (number) - **perPage** (number) - **skip** (number) If skip/limit not provided, page/perPage will take precedence - **limit** (number) If skip/limit not provided, page/perPage will take precedence - **sortOrder** (string) - **folders** (array[string]) - **domains** (array[string]) Filter by participant domain(s) (part after @), any-of. Case-insensitive. - **excludeDomains** (array[string]) Exclude emails whose domain(s) match any of these (any-of). Case-insensitive. Must not overlap `domains`. - **tags** (array[string]) - **excludeTags** (array[string]) Exclude items carrying any of these tag ids. Must not overlap `tags`. - **excludeEmails** (array[string]) Exclude emails whose from/to/cc/bcc address matches any of these (any-of). - **starred** (boolean) - **unread** (boolean) - **untagged** (boolean) When truthy (1/true), return only emails with no tags attached. Takes precedence over the `tags` filter. - **sortBy** (string) ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)